<?php

require_once dirname (__DIR__) . '/vendor/autoload.php';
session_start();

use \Slim\Slim as Slim;
use Illuminate\Database\Capsule\Manager as DB;
use \gp\controleurs\ControleurPrincipal as ControleurPrincipal;
use \gp\controleurs\ControleurScript as ControleurScript;

$db = new DB();
$db->addConnection(parse_ini_file('../conf/conf.ini'));

$db->setAsGlobal();
$db->bootEloquent();

echo ("<!DOCTYPE html>
<html>
    <body>
    <div>
            <h1> Script TD3 </h1>
            <h2> Consignes : </h2>
            <p> Pour chaque requête, calculer le temps d'execution </p>
            </div>");

    $c = new ControleurScript();
    echo 'Tous les jeux: ';
    echo $c->allGame();
echo 'µs .<br>';
    echo 'Tous les jeux contenant Mario: ';
    echo $c->gameMario();
echo 'µs .<br>';
    echo 'Tous les jeux debutant par Mario: ';
    echo $c->gameDebMario();
echo 'µs .<br>';
    echo "Tous les jeux debutant par Mario et dont le rating contient '3+': ";
    echo $c->gameDebMarioRate();
echo 'µs .<br>';
echo '<br>';

echo 'Cache de requete mysql, tous les jeux: ';
echo $c->allGame();
echo 'µs .<br>';
echo 'Cache de requete mysql, tous les jeux: ';
echo $c->allGame();
echo 'µs .<br>';

echo ("</body> </html>");